Bug 150523 - [maintainer-update] net-mgmt/nagios: Update to 3.2.2
[maintainer-update] net-mgmt/nagios: Update to 3.2.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bernhard Froehlich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 12:20 UTC by jarrod
Modified: 2010-09-14 09:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2010-09-13 12:20:07 UTC
Update to 3.2.2.

Enhancements
- Patch to new_mini_epn to allow any command line length without breaking on extra trailing or leading whitespace
- Patch to mini_epn to allow any command line length
- Patch to speed up loading of state retention data
- Custom notifications are now suppressed during scheduled downtime
- Added code to warn user about exit code of 126 meaning plugin is not executable
- Scheduled downtime can now start on SOFT error states
- Main window frame URL can now be specify with a "corewindow=" parameter
- Improved config CGI shows commands, command args in an easier to use manner
- Added ability for NEB modules to override execution of event handlers
- Custom macros are no longer cleaned/stripped as they are user-defined and should be trusted

Bug Fixes
- Fix for choosing next valid time on day of DST change when clocks go one hour backwards
- Fix for nagios now erroring when "Error: Could not find any contactgroup matching..." displayed
- Fix tap tests for Solaris 10 and newer versions of Test::Harness
- Fix for notifications not being sent out when scheduled downtime is cancelled
- Fix for first notification delay being calculated incorrectly, and notifications potentially going out early
- Fix for text of scheduling downtime of all services on a host
- Fix for services inheriting notification period from hosts if not defined
- Fix for incorrect service states on host failures
- Fix for incorrect service state attributes being set on host failures
- Fix for non-scheduled hosts and services not being updated in NDOUtils
- Fix for typos in TAC, CMD CGIs
- Fix for types in documentation
- Fix for incorrect host state counts in status CGI when viewing servicegroups
- Fix for new Splunk integration query parameters
- Fix for extra field header in availability CSV export
- Fix for macro processing code modifying input string
- Fix for update check API
- Fix for CGI speedup when persistent=0 for comments
- Fix for event execution loop re-scheduling host checks instead of executing them if service checks are disabled
- Fix for segfaults on Solaris
- Fix for incorrect comment expiration times being passed to event broker
- Doc updates related to cleaning of custom macros
- Fix to sample notify-service-by-email command
- Fix for retaining host display name and alias, as well as service display name

Fix: Patch supplied.



From jarrod Sat Sep 11 11:27:34 2010
Return-Path: <jarrod>
Received: (from jarrod@localhost)
	by mail.downtools.com.au (8.14.3/8.14.3/Submit) id o8B1vYFK092564;
	Sat, 11 Sep 2010 11:27:34 +0930 (CST)
	(envelope-from jarrod)
Date: Sat, 11 Sep 2010 11:27:34 +0930 (CST)
Message-Id: <201009110157.o8B1vYFK092564@mail.downtools.com.au>
To: FreeBSD-gnats-submit@freebsd.org
Subject: [maintainer-update] net-mgmt/nagios: Update to 3.2.2
From: Jarrod Sayers <jarrod>
Reply-To: Jarrod Sayers <jarrod>
Cc: 
X-send-pr-version: 3.113
X-GNATS-Notify: jarrod@downtools.com.au--J58PX1HD6mrJSyWQHrwBuVwIEvb8RZJ2Wcr9PpDP6ueMexe3
Content-Type: text/plain; name="net-mgmt-nagios-3.2.2.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="net-mgmt-nagios-3.2.2.diff"

diff -ruN ports/net-mgmt/nagios.orig/Makefile ports/net-mgmt/nagios/Makefile
--- ports/net-mgmt/nagios.orig/Makefile	2010-07-19 03:12:43.000000000 +0930
+++ ports/net-mgmt/nagios/Makefile	2010-09-11 11:06:33.000000000 +0930
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	nagios
-PORTVERSION=	3.2.1
+PORTVERSION=	3.2.2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-3.x/${PORTNAME}-${PORTVERSION}
 
diff -ruN ports/net-mgmt/nagios.orig/distinfo ports/net-mgmt/nagios/distinfo
--- ports/net-mgmt/nagios.orig/distinfo	2010-04-19 03:14:04.000000000 +0930
+++ ports/net-mgmt/nagios/distinfo	2010-09-11 11:07:27.000000000 +0930
@@ -1,3 +1,3 @@
-MD5 (nagios-3.2.1.tar.gz) = d4655ee8c95c9679fd4fd53dac34bbe3
-SHA256 (nagios-3.2.1.tar.gz) = 8e9a0600dd574977b506613ef81537dccceb2d8f734db049b291e8e21859d9d1
-SIZE (nagios-3.2.1.tar.gz) = 3215350
+MD5 (nagios-3.2.2.tar.gz) = e73004f401bfd680631ba900b5a8e60a
+SHA256 (nagios-3.2.2.tar.gz) = 03b71670577f3366150b0b2be24acdc3fed5d3456b8b4e200de503853b73c29f
+SIZE (nagios-3.2.2.tar.gz) = 3248339
Comment 1 Edwin Groothuis freebsd_committer 2010-09-13 12:20:16 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-09-13 12:20:18 UTC
Maintainer of net-mgmt/nagios,

Please note that PR ports/150523 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150523

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-09-13 12:20:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 jarrod 2010-09-13 12:48:22 UTC
Approved.  I sent the PR from the wrong address, by accident though.

Jarrod.
Comment 5 Bernhard Froehlich freebsd_committer 2010-09-13 13:19:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 6 Bernhard Froehlich freebsd_committer 2010-09-13 13:20:51 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 7 dfilter freebsd_committer 2010-09-14 08:51:49 UTC
decke       2010-09-14 07:51:44 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios      Makefile distinfo 
  Log:
  - Update to 3.2.2
  
  PR:             ports/150523
  Submitted by:   Jarrod Sayers <jarrod at downtools dot com dot au> (maintainer)
  Approved by:    beat (co-mentor, implicit)
  
  Revision  Changes    Path
  1.87      +1 -1      ports/net-mgmt/nagios/Makefile
  1.46      +3 -3      ports/net-mgmt/nagios/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Bernhard Froehlich freebsd_committer 2010-09-14 09:05:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!